Skip to navigation

Get Seller Initiated Refunds

Get all seller-initiated refunds from FeedAMP, filtered by search criteria

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Query parameters

mp_order_numberslist of stringsOptional

Comma-delimited list of marketplace order numbers to ref refund information for

refund_statuslist of enumsOptional

Comma-delimited list of refunds statuses

  • CREATED refunds that are ready to be processed
  • PAUSED refunds that have unresolved errors
  • COMPLETE refunds that have been marked as complete by the marketplace

Allowed values:
created_afterdatetimeOptional

Include refunds created on or after this date (format ISO 8601 default time zone is America/New_York)

created_beforedatetimeOptional

Include refunds created on or before this date (format ISO 8601 default time zone is America/New_York)

page_sizeintegerOptional10-50Defaults to 20
The number of orders per page to return
cursorstringOptional
Cursor for the next page of orders

Response

Order Refunds
refundslist of objects
next_cursorstringOptional
The cursor to get the next page of orders

Errors

400
Bad Request Error
401
Unauthorized Error